### Function

# Gio DatagramBasedSourceFunc

since: 2.48

#### Declaration

    gboolean
    (* GDatagramBasedSourceFunc) (
      GDatagramBased* datagram_based,
      GIOCondition condition,
      gpointer data
    )

#### Description [src]

This is the function type of the callback used for the `GSource` returned by g_datagram_based_create_source().

Available since: 2.48

#### Parameters

`datagram_based`

  Type: `GDatagramBased`

  The `GDatagramBased`.

  The data is owned by the caller of the function.

`condition`

  Type: `GIOCondition`

  The current condition at the source fired.

`data`

  Type: `gpointer`

  Data passed in by the user.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`G_SOURCE_REMOVE` if the source should be removed, `G_SOURCE_CONTINUE` otherwise.